Bug 479338 - dual-head configurations don't work on RS482 (Radeon Xpress 200) without nomodeset
dual-head configurations don't work on RS482 (Radeon Xpress 200) without nomo...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-08 17:49 EST by Travers Carter
Modified: 2009-05-28 04:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-28 04:08:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg configuration file (840 bytes, text/plain)
2009-01-11 17:42 EST, Travers Carter
no flags Details
Xorg log when using the previously attached config file and not specifying "nomodeset" (94.07 KB, text/plain)
2009-01-11 17:43 EST, Travers Carter
no flags Details
Xorg log when not using a config file and not specifiying nomodeset (97.28 KB, text/plain)
2009-01-11 17:43 EST, Travers Carter
no flags Details

  None (edit)
Description Travers Carter 2009-01-08 17:49:36 EST
Description of problem:
Dual-head XRandr configurations don't work on RS482 (Radeon Xpress 200) unless the nomodeset kernel option is specified

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.9.0-63.fc10 
kernel-2.6.27.9-159.fc10.i686


How reproducible:
Always


Steps to Reproduce:
1. Boot with the default kernel options
2. Connect a monitor to the DVI and VGA ports
3. Add "Virtual 2560 1024" to xorg.conf
3. run "xrandr --output VGA-0 --auto --right-of DVI-0" (or simillar)
  
Actual results:
Both outputs operate in clone mode, regardless of the offset/viewport information set or displayed by xrandr

Expected results:
Each display should show a different part of the desktop (ie spanning mode)


Additional info:

Adding the nomodeset boot option appears to resolve the problem.

xorg.conf (added to set the Virtual screen size)
-------------------------------------------------
# Xorg configuration created by system-config-display

Section "ServerLayout"
        Identifier     "single head configuration"
        Screen      0  "Screen0" 0 0              
        InputDevice    "Keyboard0" "CoreKeyboard" 
EndSection                                        

Section "InputDevice"
# keyboard added by rhpxl
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105+inet"
        Option      "XkbLayout" "us"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "radeon"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     24
                Modes    "1280x1024" "1280x1024" "1280x960" "1280x960" "1152x864" "1152x864" "1024x768" "1024x768" "832x624" "832x624" "800x600" "800x600" "720x400" "720x400" "640x480" "640x480" "640x350" "640x350"
                Virtual 2560 1024
        EndSubSection
EndSection



lspci -v output for video card
-------------------------------
01:05.0 VGA compatible controller: ATI Technologies Inc RS482 [Radeon Xpress 200] (prog-if 00 [VGA controller])
        Subsystem: Hewlett-Packard Company DC5750 Microtower
        Flags: bus master, 66MHz, medium devsel, latency 32, IRQ 17
        Memory at c8000000 (32-bit, prefetchable) [size=128M]
        I/O ports at 1100 [size=256]
        Memory at d8500000 (32-bit, non-prefetchable) [size=64K]
        [virtual] Expansion ROM at d8000000 [disabled] [size=128K]
        Capabilities: [50] Power Management version 2
        Kernel modules: radeon

01:05.1 Display controller: ATI Technologies Inc Device 5874
        Subsystem: Hewlett-Packard Company Device 280b
        Flags: bus master, 66MHz, medium devsel, latency 32
        Memory at d0000000 (32-bit, prefetchable) [disabled] [size=128M]
        Memory at d8510000 (32-bit, non-prefetchable) [disabled] [size=64K]
        Capabilities: [50] Power Management version 2



System details
--------------
# dmidecode 2.9
SMBIOS 2.4 present.
67 structures occupying 1909 bytes.
Table at 0x000ED7D0.

Handle 0x0001, DMI type 0, 24 bytes
BIOS Information
        Vendor: Hewlett-Packard
        Version: 786E3 v02.35
        Release Date: 08/07/2008
        Address: 0xE0000
        Runtime Size: 128 kB
        ROM Size: 1024 kB
        Characteristics:
                PCI is supported
                PNP is supported
                BIOS is upgradeable
                BIOS shadowing is allowed
                Boot from CD is supported
                Selectable boot is supported
                EDD is supported
                Japanese floppy for Toshiba 1.2 MB is supported (int 13h)
                5.25"/360 KB floppy services are supported (int 13h)
                5.25"/1.2 MB floppy services are supported (int 13h)
                3.5"/720 KB floppy services are supported (int 13h)
                Print screen service is supported (int 5h)
                8042 keyboard services are supported (int 9h)
                Serial services are supported (int 14h)
                Printer services are supported (int 17h)
                ACPI is supported
                USB legacy is supported
                LS-120 boot is supported
                ATAPI Zip drive boot is supported
                BIOS boot specification is supported
                Function key-initiated network boot is supported
                Targeted content distribution is supported
        BIOS Revision: 2.35

Handle 0x0002, DMI type 1, 27 bytes
System Information
        Manufacturer: Hewlett-Packard
        Product Name: HP Compaq dc5750 Microtower
        Version:
        Serial Number: <Omitted>
        UUID: <Omitted>
        Wake-up Type: Power Switch
        SKU Number: RQ936PA#ABG
        Family: 103C_53307F

Handle 0x0003, DMI type 2, 8 bytes
Base Board Information
        Manufacturer: Hewlett-Packard
        Product Name: 0A64h
        Version: Not Specified
        Serial Number: <Omitted>
Comment 1 Matěj Cepl 2009-01-10 20:19:08 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Travers Carter 2009-01-11 17:42:03 EST
Created attachment 328680 [details]
Xorg configuration file
Comment 3 Travers Carter 2009-01-11 17:43:04 EST
Created attachment 328681 [details]
Xorg log when using the previously attached config file and not specifying "nomodeset"
Comment 4 Travers Carter 2009-01-11 17:43:55 EST
Created attachment 328682 [details]
Xorg log when not using a config file and not specifiying nomodeset
Comment 5 Travers Carter 2009-01-11 17:50:17 EST
When not using a config file the virtual size defaults to 1400x1400, so I can't switch out of clone mode anyway (see below).

[trav@cirrus ~]$ xrandr --output VGA-0 --auto --right-of DVI-0
xrandr: screen cannot be larger than 1400x1400 (desired size 2560

And with the config file after running the command above:
Screen 0: minimum 320 x 200, current 2560 x 1024, maximum 2560 x 1024
VGA-0 connected 1280x1024+1280+0 (normal left inverted right x axis y axis) 376mm x 301mm
   1280x1024      60.0*+   75.0     60.0*
   1280x960       60.0
   1152x864       75.0
   1024x768       75.1     75.0     70.1     60.0
   832x624        74.6
   800x600        72.2     75.0     60.3     56.2
   640x480        72.8     75.0     72.8     75.0     66.7     60.0     59.9
   720x400        70.1
   640x350        70.1
   0x0             0.0
DVI-0 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 376mm x 301mm
   1280x1024      60.0*+   75.0     60.0*
   1280x960       60.0
   1152x864       75.0
   1024x768       75.1     75.0     70.1     60.0
   832x624        74.6
   800x600        72.2     75.0     60.3     56.2
   640x480        72.8     75.0     72.8     75.0     66.7     60.0     59.9
   720x400        70.1
   640x350        70.1
   0x0             0.0


I have also found that when configured as above it seems as though everything is working, except that the "left" display (DVI-0) is acutally displaying 1280x1024+1280+0 (ie cloning VGA-0) rather than the reported 1280x1024+0+0.  I can see windows that are off-screen in the KDE desktop pager and dragging them to the right makes them visible.
Comment 6 Travers Carter 2009-05-28 04:08:59 EDT
An update somewhere along the way seems to have resolved this problem, dual-head now works as expected with the latest F10 updates even without nomodeset:

[root@cirrus log]# uname -r
2.6.27.24-170.2.68.fc10.i686
[root@cirrus log]# rpm -qa xorg-x11-drv-ati
xorg-x11-drv-ati-6.10.0-2.fc10.i386

Note You need to log in before you can comment on or make changes to this bug.